Skip to content

Change a picklist value label (only). To change a picklist value name, see the next section below.

Use caution when editing picklist labels or names. When these attributes are changed, they affect all existing document and object metadata that refer to the picklist. For users in the UI who are accustomed to seeing a particular selection, the changes may cause confusion. This may also break existing integrations that access picklist values via the API.

PUT/api/{version}/objects/picklists/{picklist_name}
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
{picklist_name}The picklist name field value (license_type__v, product_family__c, region__c, etc.)

To change an existing picklist value label, use its picklist value name set to a new label. The picklist value name will remain unchanged. For example, to change the label of the existing "north_america__c=North America", enter "north_america__c=North America/United States". You may include one or more picklist values in the request.

curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "north_america__c=North America/United States" \ https://myvault.veevavault.com/api/v21.2/objects/picklists/regions__c
{ "responseStatus": "SUCCESS", "responseMessage": "Updated picklist value(s).", "picklistValues": [ { "name": "north_america__c", "label": "North America/United States" } ] }

As shown above, only the picklist value label has changed. The picklist value name remains the same. The new label will be automatically updated on all documents and objects in which it is used. In the UI, users will see the new label when selecting values for the picklist. In the UI, Admins will see the new name in Admin > Business Admin > Picklists > {Picklist}.